net.dontdrinkandroot.persistence.entity

## Class AbstractGeneratedIdEntity<K>

- java.lang.Object
- - net.dontdrinkandroot.persistence.entity.AbstractEntity<K>
  - - net.dontdrinkandroot.persistence.entity.AbstractGeneratedIdEntity<K>

Type Parameters:
  `K` - Type of the primary key.

All Implemented Interfaces:
  Serializable, Entity<K>

    @MappedSuperclass
    public abstract class AbstractGeneratedIdEntity<K>
    extends AbstractEntity<K>

`AbstractEntity` that has a primary key which is automatically generated.

Author:
  Philip W. Sorst
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractGeneratedIdEntity()`

### Method Summary

Methods
`K` `getId()` Get the primary key of the entity.

### Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractGeneratedIdEntity

    public AbstractGeneratedIdEntity()

### Method Detail

#### getId

    public K getId()

Description copied from interface: `Entity`
Get the primary key of the entity.